//! # Push notifications controller
//!
//! @author Pierre Hubert

use crate::api_data::push_notifications_status_api::PushNotificationsStatusAPI;
use crate::data::base_request_handler::BaseRequestHandler;
use crate::data::http_request_handler::HttpRequestHandler;
use crate::routes::RequestResult;

/// Get current push notifications status for a connection
pub fn get_status(r: &mut HttpRequestHandler) -> RequestResult {
    let status = &r.user_access_token().unwrap().push_notifications_token.clone();

    r.set_response(PushNotificationsStatusAPI::new(status))
}